Subject: Re: [net-next 02/11] igb: Use node specific allocations for the q_vectors and rings

From: Andi Kleen <[email-masked]>
Date: Mon, 10 Oct 2011 18:32:28 +0200

> The RR configuration is somewhat arbitrary.  However it is still better
> than dumping everyting on a single node, and it works with the
> configuration when the rings numbers line up with the CPU numbers since
> normally the CPUs are RR on the nodes.  From what I have seen it does
> work quite well and it prevents almost all cross-node memory accesses
> when running a routing workload.

Ok so it's optimized for one specific workload. I'm sure you'll
find some other workload where it doesn't work out.

I suppose it's hard to get right in the general case, but best
would be if ethtool had a nice and easy interface to set it at least.

However one disadvantage of that patch over the existing state of the
art (numactl modprobe ...) is that there's no way to override the placement
now. So if you do the forced RR I think you need the ethtool part too,
or at least some parameter to turn it off.

-Andi